GET canvas/list
Operation ID: canvasList
Auth: unknown
Description
This endpoint allows you to export a list of Canvases, including the name, Canvas API Identifier and associated Tags. The Canvases are returned in groups of 100 sorted by time of creation (oldest to newest by default). > Archived Canvases will not be included in the API response unless the `include_archived` field is specified. Canvases that are stopped but not archived, however, will be returned by default. ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "canvases" : [ { "id" : (string) Canvas API Identifier, "last_edited": (ISO 8601 string) the last edited time for the message, "name" : (string) Canvas name, "tags" : (array) tag names associated with the Canvas, }, ... (more Canvases) ], "message": (required, string) the status of the export, returns 'success' when completed without errors } ```
Parameters (4)
(string, query, optional)
(Optional) Boolean Whether or not to include archived Canvases, defaults to `false`.
(string, query, optional)
(Optional) DateTime (ISO 8601 string) Filters the results and only returns Canvases that were edited greater than the time provided till now.
(string, query, optional)
(Optional) Integer The page of Canvases to return, defaults to `0` (returns the first set of up to 100)
(string, query, optional)
(Optional) String Pass in the value `desc` to sort by creation time from newest to oldest. Pass in `asc` to sort from oldest to newest. If sort_direction is not included, the default order is oldest to newest.
No probe data for this endpoint yet.